unit Preview;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs,quickrep, StdCtrls, ExtCtrls, Spin, Buttons;

type
  TStandardPV = class(TForm)
    QRPreview: TQRCustomPreview;
    TopPanel: TPanel;
    ZoomBox: TComboBox;
    BottomPanel: TPanel;
    HScrollBar: TScrollBar;
    RightPanel: TPanel;
    VScrollBar: TScrollBar;
    PagePanel: TPanel;
    NextBtn: TSpeedButton;
    PrevBtn: TSpeedButton;
    PrintBtn: TBitBtn;
    Button1: TButton;
    procedure ZoomBoxChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure VScrollBarScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure HScrollBarScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure PrevBtnClick(Sender: TObject);
    procedure NextBtnClick(Sender: TObject);
  private
    { Private declarations }
    procedure FixScrollBars;
    Procedure FixPageNumber;
  public
    { Public declarations }
  end;

var
  StandardPV: TStandardPV;

implementation

{$R *.DFM}

procedure TStandardPV.ZoomBoxChange(Sender: TObject);
begin
   case ZoomBox.ItemIndex of
      0 : QRPreview.Zoom:=50;
      1 : QRPreview.Zoom:=75;
      2 : QRPreview.Zoom:=100;
      3 : QRPreview.Zoom:=150;
      4 : QRPreview.ZoomToWidth;
      5 : QRPReview.ZoomToFit;
   end;
end;

procedure TStandardPV.FixScrollBars;
begin
   HScrollBar.Width:=BottomPanel.Width;
   VScrollBar.Height:=RightPanel.Height;
   ZoomBoxChange(Self);
   invalidate;
end;

procedure TStandardPV.FixPageNumber;
begin
   PagePanel.Caption:='Page '+IntToStr(QRPReview.PageNumber)+' of '+IntToStr(QRPReview.Report.PageCount);
end;

procedure TStandardPV.FormShow(Sender: TObject);
begin
   FixScrollBars;
   FixPageNumber;
   if QRPreview.Report.ReportTitle='' then
      caption:='QuickReport for Delphi (c) 1995 Allan Lochert'
   else
      Caption:=QRPreview.Report.ReportTitle;
end;

procedure TStandardPV.VScrollBarScroll(Sender: TObject;
  ScrollCode: TScrollCode; var ScrollPos: Integer);
begin
   QRPreview.ScrollDown:=ScrollPos;
end;

procedure TStandardPV.HScrollBarScroll(Sender: TObject;
  ScrollCode: TScrollCode; var ScrollPos: Integer);
begin
   QRPreview.ScrollLeft:=ScrollPos;
end;

procedure TStandardPV.FormCreate(Sender: TObject);
begin
   ZoomBox.ItemIndex:=5;
end;

procedure TStandardPV.FormResize(Sender: TObject);
begin
   fixScrollBars;
end;

procedure TStandardPV.PrevBtnClick(Sender: TObject);
begin
   QRPreview.PageNumber:=QRPreview.PageNumber-1;
   FixPageNumber;
end;

procedure TStandardPV.NextBtnClick(Sender: TObject);
begin
   QRPreview.PageNumber:=QRPreview.Pagenumber+1;
   FixPageNumber;
end;

end.
